<?php

namespace NewsletterBridge\Services\ImgCDN;

trait HasImgCDN {

    public function getCDNUrl(string $url, ?string $type = null, array $args = []) : string {

        $cdn = CDNFactory::getCDN( $type );

        return $cdn->getUrl( $url, $args );
    }

}
